const { getLoader } = require('react-app-rewired')

module.exports = function override(config, env) {
  const cssLoader = getLoader(
    config.module.rules,
    rule =>
      rule.loader &&
      typeof rule.loader === 'string' &&
      rule.loader.includes('css-loader')
  )

  cssLoader.loader = require.resolve('typings-for-css-modules-loader')
  cssLoader.options = {
    banner:
      '/*\n' +
      ' * This file is automatically generated by typings-for-css-modules.\n' +
      ' * Please do not change this file!\n' +
      ' */',
    camelCase: true,
    localIdentName: '[path][name]__[local]--[hash:base64:5]',
    minimize: true,
    modules: true,
    namedExport: true
  }

  return config
}
